#ifndef PISIADW_H_SEEN
#define PISIADW_H_SEEN

#include <string.h>

#include "pisysdep.h"

#include PIAPP_H
#include PIWIN_H 
#include PIMENU_H 
#include PIOPTMENU_H 
#include PISTDWDG_H 
#include PILIST_H 


class PIStdImgApp;






/* --------------------------------------------------------------------------- */
class ObjMgrWind : public PIWindow {
public :
  ObjMgrWind(PIStdImgApp *par);
  ~ObjMgrWind();
  virtual void  Show();
  virtual void  Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);
  inline void AddObj(const char * objid, PIMessage msg) 
    { objlist->AppendItem(objid, msg); }
  inline void DelObj(PIMessage msg) 
    { objlist->DeleteItemMsg(msg); }
private:
  PIStdImgApp* dap;
  PIList* objlist;
  PIButton * mBut[5];
};

/* --------------------------------------------------------------------------- */
class PPInMgrWind :  public PIWindow {
public:
   PPInMgrWind(PIStdImgApp *par);
   ~PPInMgrWind();
   virtual void  Show();
   virtual void  Process(PIMessage msg, PIMsgHandler* sender, void* data=NULL);
   void SetFile(string flnm);
private:
  PIStdImgApp* dap;
  PIList* objlist;
  PILabel * mLab[2];
  PIButton* mBut[3];
  PInPersist* mPin;
  int tolx, toly, polx, poly;  // Taille et position de  objlist
  int ttx, tty;   // Taille globale par defaut

};
 
#endif
